searchData={"items":[{"type":"module","title":"AlphaVantage","doc":"","ref":"AlphaVantage.html"},{"type":"function","title":"AlphaVantage.ad/2","doc":"Fetches the Chaikin A/D line values.","ref":"AlphaVantage.html#ad/2"},{"type":"function","title":"Required - AlphaVantage.ad/2","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#ad/2-required"},{"type":"function","title":"AlphaVantage.adosc/3","doc":"Fetches the Chaikin A/D oscillator values.","ref":"AlphaVantage.html#adosc/3"},{"type":"function","title":"Required - AlphaVantage.adosc/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#adosc/3-required"},{"type":"function","title":"Optional - AlphaVantage.adosc/3","doc":"* `fastperiod` - The time period of the fast Aroon oscillator.\n* `slowperiod` - The time period of the slow Aroon oscillator.","ref":"AlphaVantage.html#adosc/3-optional"},{"type":"function","title":"AlphaVantage.adx/3","doc":"Fetches the average directional movement index values.","ref":"AlphaVantage.html#adx/3"},{"type":"function","title":"Required - AlphaVantage.adx/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each ADX value.","ref":"AlphaVantage.html#adx/3-required"},{"type":"function","title":"AlphaVantage.adxr/3","doc":"Fetches the average directional movement index rating values.","ref":"AlphaVantage.html#adxr/3"},{"type":"function","title":"Required - AlphaVantage.adxr/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each ADXR value.","ref":"AlphaVantage.html#adxr/3-required"},{"type":"function","title":"AlphaVantage.aluminum/1","doc":"Fetches the prices for aluminum.","ref":"AlphaVantage.html#aluminum/1"},{"type":"function","title":"Optional - AlphaVantage.aluminum/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#aluminum/1-optional"},{"type":"function","title":"AlphaVantage.apo/4","doc":"Fetches the absolute price oscillator values.","ref":"AlphaVantage.html#apo/4"},{"type":"function","title":"Required - AlphaVantage.apo/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#apo/4-required"},{"type":"function","title":"Optional - AlphaVantage.apo/4","doc":"* `fastperiod` - The time period of the fast EMA.\n* `slowperiod` - The time period of the slow EMA.\n* `matype` - The type of moving average to be used.","ref":"AlphaVantage.html#apo/4-optional"},{"type":"function","title":"AlphaVantage.aroon/3","doc":"Fetches the Aroon indicator values.","ref":"AlphaVantage.html#aroon/3"},{"type":"function","title":"Required - AlphaVantage.aroon/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#aroon/3-required"},{"type":"function","title":"AlphaVantage.aroonosc/3","doc":"Fetches the Aroon oscillator values.","ref":"AlphaVantage.html#aroonosc/3"},{"type":"function","title":"Required - AlphaVantage.aroonosc/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#aroonosc/3-required"},{"type":"function","title":"AlphaVantage.atr/3","doc":"Fetches the average true range values.","ref":"AlphaVantage.html#atr/3"},{"type":"function","title":"Required - AlphaVantage.atr/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#atr/3-required"},{"type":"function","title":"AlphaVantage.balance_sheets/1","doc":"Fetches the balance sheets for a given symbol.","ref":"AlphaVantage.html#balance_sheets/1"},{"type":"function","title":"Required - AlphaVantage.balance_sheets/1","doc":"* `symbol` - The stock symbol to fetch the balance sheets for.","ref":"AlphaVantage.html#balance_sheets/1-required"},{"type":"function","title":"AlphaVantage.bbands/5","doc":"Fetches the bollinger bands values.","ref":"AlphaVantage.html#bbands/5"},{"type":"function","title":"Required - AlphaVantage.bbands/5","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#bbands/5-required"},{"type":"function","title":"Optional - AlphaVantage.bbands/5","doc":"* `ndbevup` - The number of standard deviations above the upper band.\n* `nbdevdn` - The number of standard deviations below the lower band.\n* `matype` - The type of moving average to use.","ref":"AlphaVantage.html#bbands/5-optional"},{"type":"function","title":"AlphaVantage.bop/2","doc":"Fetches the balance of power values.","ref":"AlphaVantage.html#bop/2"},{"type":"function","title":"Required - AlphaVantage.bop/2","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#bop/2-required"},{"type":"function","title":"AlphaVantage.brent/1","doc":"Fetches the prices for Brent crude oil.","ref":"AlphaVantage.html#brent/1"},{"type":"function","title":"Optional - AlphaVantage.brent/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#brent/1-optional"},{"type":"function","title":"AlphaVantage.cash_flow_statements/1","doc":"Fetches the cash flow statements for a given symbol.","ref":"AlphaVantage.html#cash_flow_statements/1"},{"type":"function","title":"Required - AlphaVantage.cash_flow_statements/1","doc":"* `symbol` - The stock symbol to fetch the cash flow statements for.","ref":"AlphaVantage.html#cash_flow_statements/1-required"},{"type":"function","title":"AlphaVantage.cci/3","doc":"Fetches the commodity channel index values.","ref":"AlphaVantage.html#cci/3"},{"type":"function","title":"Required - AlphaVantage.cci/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#cci/3-required"},{"type":"function","title":"AlphaVantage.cmo/4","doc":"Fetches the Chande momentum oscillator values.","ref":"AlphaVantage.html#cmo/4"},{"type":"function","title":"Required - AlphaVantage.cmo/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#cmo/4-required"},{"type":"function","title":"AlphaVantage.coffee/1","doc":"Fetches the prices for coffee","ref":"AlphaVantage.html#coffee/1"},{"type":"function","title":"Optional - AlphaVantage.coffee/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#coffee/1-optional"},{"type":"function","title":"AlphaVantage.commodities/1","doc":"Fetches the prices for commodities index","ref":"AlphaVantage.html#commodities/1"},{"type":"function","title":"Optional - AlphaVantage.commodities/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#commodities/1-optional"},{"type":"function","title":"AlphaVantage.company_overview/1","doc":"Fetches the company overview for a given symbol.","ref":"AlphaVantage.html#company_overview/1"},{"type":"function","title":"Required - AlphaVantage.company_overview/1","doc":"* `symbol` - The stock symbol to fetch the overview for.","ref":"AlphaVantage.html#company_overview/1-required"},{"type":"function","title":"AlphaVantage.copper/1","doc":"Fetches the prices for copper.","ref":"AlphaVantage.html#copper/1"},{"type":"function","title":"Optional - AlphaVantage.copper/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#copper/1-optional"},{"type":"function","title":"AlphaVantage.corn/1","doc":"Fetches the prices for corn","ref":"AlphaVantage.html#corn/1"},{"type":"function","title":"Optional - AlphaVantage.corn/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#corn/1-optional"},{"type":"function","title":"AlphaVantage.cotton/1","doc":"Fetches the prices for cotton","ref":"AlphaVantage.html#cotton/1"},{"type":"function","title":"Optional - AlphaVantage.cotton/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#cotton/1-optional"},{"type":"function","title":"AlphaVantage.cpi/1","doc":"Fetches the consumer price index of the United States.","ref":"AlphaVantage.html#cpi/1"},{"type":"function","title":"Optional - AlphaVantage.cpi/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#cpi/1-optional"},{"type":"function","title":"AlphaVantage.crypto_daily/3","doc":"Fetches the daily crypto exchange rate for a given currency pair.","ref":"AlphaVantage.html#crypto_daily/3"},{"type":"function","title":"Required - AlphaVantage.crypto_daily/3","doc":"* `symbol` - The currency to convert from.\n* `market` - The currency to convert to.","ref":"AlphaVantage.html#crypto_daily/3-required"},{"type":"function","title":"Optional - AlphaVantage.crypto_daily/3","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#crypto_daily/3-optional"},{"type":"function","title":"AlphaVantage.crypto_exchange_rates/2","doc":"Fetches the crypto exchange rate for a given currency pair.","ref":"AlphaVantage.html#crypto_exchange_rates/2"},{"type":"function","title":"Required - AlphaVantage.crypto_exchange_rates/2","doc":"* `from_symbol` - The currency to convert from.\n* `to_symbol` - The currency to convert to.","ref":"AlphaVantage.html#crypto_exchange_rates/2-required"},{"type":"function","title":"AlphaVantage.crypto_intraday/4","doc":"Fetches the intraday crypto exchange rate for a given currency pair.","ref":"AlphaVantage.html#crypto_intraday/4"},{"type":"function","title":"Required - AlphaVantage.crypto_intraday/4","doc":"* `symbol` - The currency to convert from.\n* `market` - The currency to convert to.\n* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#crypto_intraday/4-required"},{"type":"function","title":"Optional - AlphaVantage.crypto_intraday/4","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#crypto_intraday/4-optional"},{"type":"function","title":"AlphaVantage.crypto_monthly/3","doc":"Fetches the monthly crypto exchange rate for a given currency pair.","ref":"AlphaVantage.html#crypto_monthly/3"},{"type":"function","title":"Required - AlphaVantage.crypto_monthly/3","doc":"* `symbol` - The currency to convert from.\n* `market` - The currency to convert to.","ref":"AlphaVantage.html#crypto_monthly/3-required"},{"type":"function","title":"Optional - AlphaVantage.crypto_monthly/3","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#crypto_monthly/3-optional"},{"type":"function","title":"AlphaVantage.crypto_weekly/3","doc":"Fetches the weekly crypto exchange rate for a given currency pair.","ref":"AlphaVantage.html#crypto_weekly/3"},{"type":"function","title":"Required - AlphaVantage.crypto_weekly/3","doc":"* `symbol` - The currency to convert from.\n* `market` - The currency to convert to.","ref":"AlphaVantage.html#crypto_weekly/3-required"},{"type":"function","title":"Optional - AlphaVantage.crypto_weekly/3","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#crypto_weekly/3-optional"},{"type":"function","title":"AlphaVantage.dema/4","doc":"Fetches double exponential moving average values for a given symbol.","ref":"AlphaVantage.html#dema/4"},{"type":"function","title":"Required - AlphaVantage.dema/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#dema/4-required"},{"type":"function","title":"AlphaVantage.durable_goods_orders/0","doc":"Fetches the durable goods orders of the United States.","ref":"AlphaVantage.html#durable_goods_orders/0"},{"type":"function","title":"AlphaVantage.dx/3","doc":"Fetches the direction movement index values.","ref":"AlphaVantage.html#dx/3"},{"type":"function","title":"Required - AlphaVantage.dx/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#dx/3-required"},{"type":"function","title":"AlphaVantage.earnings/1","doc":"Fetches the earnings for a given symbol.","ref":"AlphaVantage.html#earnings/1"},{"type":"function","title":"Required - AlphaVantage.earnings/1","doc":"* `symbol` - The stock symbol to fetch the earnings for.","ref":"AlphaVantage.html#earnings/1-required"},{"type":"function","title":"AlphaVantage.ema/4","doc":"Fetches exponential moving average values for a given symbol.","ref":"AlphaVantage.html#ema/4"},{"type":"function","title":"Required - AlphaVantage.ema/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ema/4-required"},{"type":"function","title":"AlphaVantage.federal_funds_rate/1","doc":"Fetches the federal funds rate of the United States.","ref":"AlphaVantage.html#federal_funds_rate/1"},{"type":"function","title":"Optional - AlphaVantage.federal_funds_rate/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#federal_funds_rate/1-optional"},{"type":"function","title":"AlphaVantage.fx_daily/3","doc":"Fetches the daily exchange rate for a given currency pair.","ref":"AlphaVantage.html#fx_daily/3"},{"type":"function","title":"Required - AlphaVantage.fx_daily/3","doc":"* `from_symbol` - The currency to convert from.\n* `to_symbol` - The currency to convert to.","ref":"AlphaVantage.html#fx_daily/3-required"},{"type":"function","title":"Optional - AlphaVantage.fx_daily/3","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#fx_daily/3-optional"},{"type":"function","title":"AlphaVantage.fx_exchange_rates/2","doc":"Fetches the current exchange rate for a given currency pair.","ref":"AlphaVantage.html#fx_exchange_rates/2"},{"type":"function","title":"Required - AlphaVantage.fx_exchange_rates/2","doc":"* `from_currency` - The currency to convert from.\n* `to_currency` - The currency to convert to.","ref":"AlphaVantage.html#fx_exchange_rates/2-required"},{"type":"function","title":"AlphaVantage.fx_intraday/4","doc":"Fetches the intraday exchange rate for a given currency pair.","ref":"AlphaVantage.html#fx_intraday/4"},{"type":"function","title":"Required - AlphaVantage.fx_intraday/4","doc":"* `from_symbol` - The currency to convert from.\n* `to_symbol` - The currency to convert to.\n* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#fx_intraday/4-required"},{"type":"function","title":"Optional - AlphaVantage.fx_intraday/4","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#fx_intraday/4-optional"},{"type":"function","title":"AlphaVantage.fx_monthly/3","doc":"Fetches the monthly exchange rate for a given currency pair.","ref":"AlphaVantage.html#fx_monthly/3"},{"type":"function","title":"Required - AlphaVantage.fx_monthly/3","doc":"* `from_symbol` - The currency to convert from.\n* `to_symbol` - The currency to convert to.","ref":"AlphaVantage.html#fx_monthly/3-required"},{"type":"function","title":"Optional - AlphaVantage.fx_monthly/3","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#fx_monthly/3-optional"},{"type":"function","title":"AlphaVantage.fx_weekly/3","doc":"Fetches the weekly exchange rate for a given currency pair.","ref":"AlphaVantage.html#fx_weekly/3"},{"type":"function","title":"Required - AlphaVantage.fx_weekly/3","doc":"* `from_symbol` - The currency to convert from.\n* `to_symbol` - The currency to convert to.","ref":"AlphaVantage.html#fx_weekly/3-required"},{"type":"function","title":"Optional - AlphaVantage.fx_weekly/3","doc":"* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#fx_weekly/3-optional"},{"type":"function","title":"AlphaVantage.ht_dcperiod/3","doc":"Fetches the Hilbert transform, dominant cycle period values.","ref":"AlphaVantage.html#ht_dcperiod/3"},{"type":"function","title":"Required - AlphaVantage.ht_dcperiod/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ht_dcperiod/3-required"},{"type":"function","title":"AlphaVantage.ht_dcphase/3","doc":"Fetches the Hilbert transform, dominant cycle phase values.","ref":"AlphaVantage.html#ht_dcphase/3"},{"type":"function","title":"Required - AlphaVantage.ht_dcphase/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ht_dcphase/3-required"},{"type":"function","title":"AlphaVantage.ht_phasor/3","doc":"Fetches the Hilbert transform, phasor components values.","ref":"AlphaVantage.html#ht_phasor/3"},{"type":"function","title":"Required - AlphaVantage.ht_phasor/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ht_phasor/3-required"},{"type":"function","title":"AlphaVantage.ht_sine/3","doc":"Fetches the Hilbert transform, sine wave values.","ref":"AlphaVantage.html#ht_sine/3"},{"type":"function","title":"Required - AlphaVantage.ht_sine/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ht_sine/3-required"},{"type":"function","title":"AlphaVantage.ht_trendline/3","doc":"Fetches the Hilbert transform, instantaneous trendline values.","ref":"AlphaVantage.html#ht_trendline/3"},{"type":"function","title":"Required - AlphaVantage.ht_trendline/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ht_trendline/3-required"},{"type":"function","title":"AlphaVantage.ht_trendmode/3","doc":"Fetches the Hilbert transform, trend vs cycle mode values.","ref":"AlphaVantage.html#ht_trendmode/3"},{"type":"function","title":"Required - AlphaVantage.ht_trendmode/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ht_trendmode/3-required"},{"type":"function","title":"AlphaVantage.income_statements/1","doc":"Fetches the income statements for a given symbol.","ref":"AlphaVantage.html#income_statements/1"},{"type":"function","title":"Required - AlphaVantage.income_statements/1","doc":"* `symbol` - The stock symbol to fetch the income statements for.","ref":"AlphaVantage.html#income_statements/1-required"},{"type":"function","title":"AlphaVantage.inflation/0","doc":"Fetches the inflation rate of the United States.","ref":"AlphaVantage.html#inflation/0"},{"type":"function","title":"AlphaVantage.kama/4","doc":"Fetches Kaufman adaptive moving average values for a given symbol.","ref":"AlphaVantage.html#kama/4"},{"type":"function","title":"Required - AlphaVantage.kama/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#kama/4-required"},{"type":"function","title":"AlphaVantage.macd/4","doc":"Fetches the moving average convergence / divergence values.","ref":"AlphaVantage.html#macd/4"},{"type":"function","title":"Required - AlphaVantage.macd/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#macd/4-required"},{"type":"function","title":"Optional - AlphaVantage.macd/4","doc":"* `fastperiod` - The time period of the fast EMA.\n* `slowperiod` - The time period of the slow EMA.\n* `signalperiod` - The time period of the signal EMA.","ref":"AlphaVantage.html#macd/4-optional"},{"type":"function","title":"AlphaVantage.macdext/4","doc":"Fetches the moving average convergence / divergence values with controllable moving average type.","ref":"AlphaVantage.html#macdext/4"},{"type":"function","title":"Required - AlphaVantage.macdext/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#macdext/4-required"},{"type":"function","title":"Optional - AlphaVantage.macdext/4","doc":"* `fastperiod` - The time period of the fast EMA.\n* `slowperiod` - The time period of the slow EMA.\n* `signalperiod` - The time period of the signal EMA.","ref":"AlphaVantage.html#macdext/4-optional"},{"type":"function","title":"AlphaVantage.mama/4","doc":"Fetches the MESA adaptive moving average values for a given symbol.","ref":"AlphaVantage.html#mama/4"},{"type":"function","title":"Required - AlphaVantage.mama/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#mama/4-required"},{"type":"function","title":"AlphaVantage.market_status/0","doc":"Fetches the market status.","ref":"AlphaVantage.html#market_status/0"},{"type":"function","title":"AlphaVantage.mfi/3","doc":"Fetches the money flow index values.","ref":"AlphaVantage.html#mfi/3"},{"type":"function","title":"Required - AlphaVantage.mfi/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#mfi/3-required"},{"type":"function","title":"AlphaVantage.midpoint/4","doc":"Fetches the midpoint","ref":"AlphaVantage.html#midpoint/4"},{"type":"function","title":"Required - AlphaVantage.midpoint/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#midpoint/4-required"},{"type":"function","title":"AlphaVantage.midprice/3","doc":"Fetches the midpoint price values.","ref":"AlphaVantage.html#midprice/3"},{"type":"function","title":"Required - AlphaVantage.midprice/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#midprice/3-required"},{"type":"function","title":"AlphaVantage.minus_di/3","doc":"Fetches the minus directional indicator values.","ref":"AlphaVantage.html#minus_di/3"},{"type":"function","title":"Required - AlphaVantage.minus_di/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#minus_di/3-required"},{"type":"function","title":"AlphaVantage.minus_dm/3","doc":"Fetches the minus directional movement values.","ref":"AlphaVantage.html#minus_dm/3"},{"type":"function","title":"Required - AlphaVantage.minus_dm/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#minus_dm/3-required"},{"type":"function","title":"AlphaVantage.mom/4","doc":"Fetches the momentum values.","ref":"AlphaVantage.html#mom/4"},{"type":"function","title":"Required - AlphaVantage.mom/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#mom/4-required"},{"type":"function","title":"AlphaVantage.natr/3","doc":"Fetches the normalized average true range values.","ref":"AlphaVantage.html#natr/3"},{"type":"function","title":"Required - AlphaVantage.natr/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#natr/3-required"},{"type":"function","title":"AlphaVantage.natural_gas/1","doc":"Fetches the prices for natural gas.","ref":"AlphaVantage.html#natural_gas/1"},{"type":"function","title":"Optional - AlphaVantage.natural_gas/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#natural_gas/1-optional"},{"type":"function","title":"AlphaVantage.news_sentiment/1","doc":"Fetches the news sentiment","ref":"AlphaVantage.html#news_sentiment/1"},{"type":"function","title":"Optional - AlphaVantage.news_sentiment/1","doc":"* `tickers` - A comma-separated list of stock tickers.\n* `topics` - A comma-separated list of topics.\n* `time_from` - A date in the format  YYYYMMDDTHHMM.\n* `time_to` - A date in the format  YYYYMMDDTHHMM.\n* `sort` - The sort order of the results. Possible values are LATEST, EARLIEST, RELEVANCE.\n* `limit` - The number of results to return. Possible values are 1-1000.","ref":"AlphaVantage.html#news_sentiment/1-optional"},{"type":"function","title":"AlphaVantage.nonfarm_payroll/0","doc":"Fetches the nonfarm payroll of the United States.","ref":"AlphaVantage.html#nonfarm_payroll/0"},{"type":"function","title":"AlphaVantage.obv/2","doc":"Fetches the on balance volume values.","ref":"AlphaVantage.html#obv/2"},{"type":"function","title":"Required - AlphaVantage.obv/2","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#obv/2-required"},{"type":"function","title":"AlphaVantage.plus_di/3","doc":"Fetches the plus directional indicator values.","ref":"AlphaVantage.html#plus_di/3"},{"type":"function","title":"Required - AlphaVantage.plus_di/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#plus_di/3-required"},{"type":"function","title":"AlphaVantage.plus_dm/3","doc":"Fetches the plus directional movement values.","ref":"AlphaVantage.html#plus_dm/3"},{"type":"function","title":"Required - AlphaVantage.plus_dm/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.","ref":"AlphaVantage.html#plus_dm/3-required"},{"type":"function","title":"AlphaVantage.ppo/4","doc":"Fetches the percentage price oscillator values.","ref":"AlphaVantage.html#ppo/4"},{"type":"function","title":"Required - AlphaVantage.ppo/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#ppo/4-required"},{"type":"function","title":"Optional - AlphaVantage.ppo/4","doc":"* `fastperiod` - The time period of the fast EMA.\n* `slowperiod` - The time period of the slow EMA.\n* `matype` - The type of moving average to be used.","ref":"AlphaVantage.html#ppo/4-optional"},{"type":"function","title":"AlphaVantage.quote/1","doc":"Fetches the quote for a given symbol.","ref":"AlphaVantage.html#quote/1"},{"type":"function","title":"Required - AlphaVantage.quote/1","doc":"* `symbol` - The stock symbol to fetch the quote for.","ref":"AlphaVantage.html#quote/1-required"},{"type":"function","title":"AlphaVantage.real_gdp/1","doc":"Fetches the real GDP of the United States.","ref":"AlphaVantage.html#real_gdp/1"},{"type":"function","title":"Optional - AlphaVantage.real_gdp/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#real_gdp/1-optional"},{"type":"function","title":"AlphaVantage.real_gdp_per_capita/0","doc":"Fetches the real GDP per capita of the United States.","ref":"AlphaVantage.html#real_gdp_per_capita/0"},{"type":"function","title":"Optional - AlphaVantage.real_gdp_per_capita/0","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#real_gdp_per_capita/0-optional"},{"type":"function","title":"AlphaVantage.retail_sales/0","doc":"Fetches the retail sales of the United States.","ref":"AlphaVantage.html#retail_sales/0"},{"type":"function","title":"AlphaVantage.roc/4","doc":"Fetches the rate of change values.","ref":"AlphaVantage.html#roc/4"},{"type":"function","title":"Required - AlphaVantage.roc/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#roc/4-required"},{"type":"function","title":"AlphaVantage.rocr/4","doc":"Fetches the rate of change ratio values.","ref":"AlphaVantage.html#rocr/4"},{"type":"function","title":"Required - AlphaVantage.rocr/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#rocr/4-required"},{"type":"function","title":"AlphaVantage.rsi/4","doc":"Fetches the relative strength index values.","ref":"AlphaVantage.html#rsi/4"},{"type":"function","title":"Required - AlphaVantage.rsi/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each RSI value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#rsi/4-required"},{"type":"function","title":"AlphaVantage.sar/3","doc":"Fetches the parabolic sar values.","ref":"AlphaVantage.html#sar/3"},{"type":"function","title":"Required - AlphaVantage.sar/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#sar/3-required"},{"type":"function","title":"Optional - AlphaVantage.sar/3","doc":"* `acceleration` - The acceleration factor.\n* `maximum` - The maximum acceleration factor.","ref":"AlphaVantage.html#sar/3-optional"},{"type":"function","title":"AlphaVantage.search/1","doc":"Fetches the search results for a given keyword.","ref":"AlphaVantage.html#search/1"},{"type":"function","title":"Required - AlphaVantage.search/1","doc":"* `keywords` - The keywords to search for.","ref":"AlphaVantage.html#search/1-required"},{"type":"function","title":"AlphaVantage.sma/4","doc":"Fetches simple moving average values for a given symbol.","ref":"AlphaVantage.html#sma/4"},{"type":"function","title":"Required - AlphaVantage.sma/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#sma/4-required"},{"type":"function","title":"AlphaVantage.start/2","doc":"","ref":"AlphaVantage.html#start/2"},{"type":"function","title":"AlphaVantage.stoch/3","doc":"Fetches the  stochastic oscillator values.","ref":"AlphaVantage.html#stoch/3"},{"type":"function","title":"Required - AlphaVantage.stoch/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#stoch/3-required"},{"type":"function","title":"Optional - AlphaVantage.stoch/3","doc":"* `fastkperiod` - The time period of the fastk moving average.\n* `slowkperiod` - The time period of the slowk moving average.\n* `slowdperiod` - The time period of the slowd moving average.\n* `slowkmatype` - The type of moving average for the slowk moving average.\n* `slowdmatype` - The type of moving average for the slowd moving average.","ref":"AlphaVantage.html#stoch/3-optional"},{"type":"function","title":"AlphaVantage.stochf/3","doc":"Fetches the stochastic oscillator fast values.","ref":"AlphaVantage.html#stochf/3"},{"type":"function","title":"Required - AlphaVantage.stochf/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#stochf/3-required"},{"type":"function","title":"Optional - AlphaVantage.stochf/3","doc":"* `fastkperiod` - The time period of the fastk moving average.\n* `fastdperiod` - The time period of the fastd moving average.\n* `fastdmatype` - The type of moving average for the fastd moving average.","ref":"AlphaVantage.html#stochf/3-optional"},{"type":"function","title":"AlphaVantage.stochrsi/5","doc":"Fetches the stochastic relative strength index values.","ref":"AlphaVantage.html#stochrsi/5"},{"type":"function","title":"Required - AlphaVantage.stochrsi/5","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each RSI value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#stochrsi/5-required"},{"type":"function","title":"Optional - AlphaVantage.stochrsi/5","doc":"* `fastkperiod` - The time period of the fastk moving average.\n* `fastdperiod` - The time period of the fastd moving average.\n* `fastdmatype` - The type of moving average for the fastd moving average.","ref":"AlphaVantage.html#stochrsi/5-optional"},{"type":"function","title":"AlphaVantage.sugar/1","doc":"Fetches the prices for sugar","ref":"AlphaVantage.html#sugar/1"},{"type":"function","title":"Optional - AlphaVantage.sugar/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#sugar/1-optional"},{"type":"function","title":"AlphaVantage.t3/4","doc":"Fetches the triple exponential moving average values for a given symbol.","ref":"AlphaVantage.html#t3/4"},{"type":"function","title":"Required - AlphaVantage.t3/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#t3/4-required"},{"type":"function","title":"AlphaVantage.tema/4","doc":"Fetches triple exponential moving average values for a given symbol.","ref":"AlphaVantage.html#tema/4"},{"type":"function","title":"Required - AlphaVantage.tema/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#tema/4-required"},{"type":"function","title":"AlphaVantage.time_series_daily/2","doc":"Fetches the daily time series for a given symbol.","ref":"AlphaVantage.html#time_series_daily/2"},{"type":"function","title":"Required - AlphaVantage.time_series_daily/2","doc":"* `symbol` - The stock symbol to fetch the time series for.\n* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#time_series_daily/2-required"},{"type":"function","title":"AlphaVantage.time_series_daily_adjusted/2","doc":"Fetches the daily adjusted time series for a given symbol.","ref":"AlphaVantage.html#time_series_daily_adjusted/2"},{"type":"function","title":"Required - AlphaVantage.time_series_daily_adjusted/2","doc":"* `symbol` - The stock symbol to fetch the time series for.\n* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#time_series_daily_adjusted/2-required"},{"type":"function","title":"AlphaVantage.time_series_intraday/3","doc":"Fetches the daily time series for a given symbol.","ref":"AlphaVantage.html#time_series_intraday/3"},{"type":"function","title":"Required - AlphaVantage.time_series_intraday/3","doc":"* `symbol` - The stock symbol to fetch the time series for.\n* `interval` - The interval to fetch the time series for.","ref":"AlphaVantage.html#time_series_intraday/3-required"},{"type":"function","title":"Optional - AlphaVantage.time_series_intraday/3","doc":"* `adjusted` - If true, the adjusted time series is returned.\n* `extended_hours` - If true, the extended hours time series is returned.\n* `outputsize` - The size of the time series to return. Either `compact` or `full`.","ref":"AlphaVantage.html#time_series_intraday/3-optional"},{"type":"function","title":"AlphaVantage.time_series_monthly/1","doc":"Fetches the monthly time series for a given symbol.","ref":"AlphaVantage.html#time_series_monthly/1"},{"type":"function","title":"Required - AlphaVantage.time_series_monthly/1","doc":"* `symbol` - The stock symbol to fetch the time series for.","ref":"AlphaVantage.html#time_series_monthly/1-required"},{"type":"function","title":"AlphaVantage.time_series_monthly_adjusted/1","doc":"Fetches the monthly adjusted time series for a given symbol.","ref":"AlphaVantage.html#time_series_monthly_adjusted/1"},{"type":"function","title":"Required - AlphaVantage.time_series_monthly_adjusted/1","doc":"* `symbol` - The stock symbol to fetch the time series for.","ref":"AlphaVantage.html#time_series_monthly_adjusted/1-required"},{"type":"function","title":"AlphaVantage.time_series_weekly/1","doc":"Fetches the weekly time series for a given symbol.","ref":"AlphaVantage.html#time_series_weekly/1"},{"type":"function","title":"Required - AlphaVantage.time_series_weekly/1","doc":"* `symbol` - The stock symbol to fetch the time series for.","ref":"AlphaVantage.html#time_series_weekly/1-required"},{"type":"function","title":"AlphaVantage.time_series_weekly_adjusted/1","doc":"Fetches the weekly adjusted time series for a given symbol.","ref":"AlphaVantage.html#time_series_weekly_adjusted/1"},{"type":"function","title":"Required - AlphaVantage.time_series_weekly_adjusted/1","doc":"* `symbol` - The stock symbol to fetch the time series for.","ref":"AlphaVantage.html#time_series_weekly_adjusted/1-required"},{"type":"function","title":"AlphaVantage.top_gainers_losers_and_active/0","doc":"Fetches the top gainers, losers, and most actively traded US tickers.","ref":"AlphaVantage.html#top_gainers_losers_and_active/0"},{"type":"function","title":"AlphaVantage.trange/2","doc":"Fetches the true range values.","ref":"AlphaVantage.html#trange/2"},{"type":"function","title":"Required - AlphaVantage.trange/2","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#trange/2-required"},{"type":"function","title":"AlphaVantage.treasury_yield/2","doc":"Fetches the treasury yield of the United States.","ref":"AlphaVantage.html#treasury_yield/2"},{"type":"function","title":"Optional - AlphaVantage.treasury_yield/2","doc":"* `interval` - The interval between two consecutive data points in the time series.\n* `maturity` - The maturity of treasury yield.","ref":"AlphaVantage.html#treasury_yield/2-optional"},{"type":"function","title":"AlphaVantage.trima/4","doc":"Fetches triangular moving average values for a given symbol.","ref":"AlphaVantage.html#trima/4"},{"type":"function","title":"Required - AlphaVantage.trima/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#trima/4-required"},{"type":"function","title":"AlphaVantage.trix/4","doc":"Fetches the 1-day rate of change of a triple smooth exponential moving average values.","ref":"AlphaVantage.html#trix/4"},{"type":"function","title":"Required - AlphaVantage.trix/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each momentum value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#trix/4-required"},{"type":"function","title":"AlphaVantage.ultosc/3","doc":"Fetches the ultimate oscillator values.","ref":"AlphaVantage.html#ultosc/3"},{"type":"function","title":"Required - AlphaVantage.ultosc/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#ultosc/3-required"},{"type":"function","title":"Optional - AlphaVantage.ultosc/3","doc":"* `timeperiod1` - The number of data points used to calculate the first momentum value.\n* `timeperiod2` - The number of data points used to calculate the second momentum value.\n* `timeperiod3` - The number of data points used to calculate the third momentum value.","ref":"AlphaVantage.html#ultosc/3-optional"},{"type":"function","title":"AlphaVantage.unemployment_rate/0","doc":"Fetches the unemployment rate of the United States.","ref":"AlphaVantage.html#unemployment_rate/0"},{"type":"function","title":"AlphaVantage.vwap/2","doc":"Fetches the volume weighted average price.","ref":"AlphaVantage.html#vwap/2"},{"type":"function","title":"Required - AlphaVantage.vwap/2","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#vwap/2-required"},{"type":"function","title":"AlphaVantage.wheat/1","doc":"Fetches the prices for wheat","ref":"AlphaVantage.html#wheat/1"},{"type":"function","title":"Optional - AlphaVantage.wheat/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#wheat/1-optional"},{"type":"function","title":"AlphaVantage.willr/3","doc":"Fetches the Williams' %R values.","ref":"AlphaVantage.html#willr/3"},{"type":"function","title":"Required - AlphaVantage.willr/3","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each Williams' %R value.","ref":"AlphaVantage.html#willr/3-required"},{"type":"function","title":"AlphaVantage.wma/4","doc":"Fetches weighted moving average values for a given symbol.","ref":"AlphaVantage.html#wma/4"},{"type":"function","title":"Required - AlphaVantage.wma/4","doc":"* `symbol` - The stock symbol to fetch the data for.\n* `interval` - The time interval between two consecutive data points in the time series.\n* `time_period` - The number of data points used to calculate each moving average value.\n* `series_type` - The desired price type in the time series.","ref":"AlphaVantage.html#wma/4-required"},{"type":"function","title":"AlphaVantage.wti/1","doc":"Fetches the prices for WTI crude oil.","ref":"AlphaVantage.html#wti/1"},{"type":"function","title":"Optional - AlphaVantage.wti/1","doc":"* `interval` - The interval between two consecutive data points in the time series.","ref":"AlphaVantage.html#wti/1-optional"}],"content_type":"text/markdown"}